FROM rockylinux:9

ENV container=docker

# Install requirements.
RUN dnf -y install rpm dnf-plugins-core \
 && dnf -y config-manager --set-enabled crb \
 && dnf -y update \
 && dnf -y install --allowerasing \
	epel-release \
	sudo \
	which \
	hostname \
	libyaml-devel \
	python3 \
	python3-pip \
	python3-pyyaml \
	rsync \
	wget \
	curl \
	git \
	ruby ruby-devel \
	ruby bash bash-completion openssh sshpass nmap-ncat \
	nmap \
 && dnf clean all

RUN python3 -m pip install --no-cache-dir --upgrade pip


RUN mkdir -p /root/.ssh

CMD ["bash"]
